# getCustomerInformation

Get customer information

`GET /v2/customers/{customerid}`

**API:** Avalara MyLodgeTax API
**Tag:** Customer Information
**API Version:** v1.2
**Base URL:** https://mylodgetaxapi-sbx.avalara.net
**Authentication:** API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/mylodge/api/methods/Customer%20Information/getCustomerInformation/

## Description

This customer information endpoint returns the customer ID and the reporting period due date.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `customerid` | string | path | Yes | Unique, partner-specific customer identifier assigned when posting a partnerLead (_customerId_). |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK | `CustomerInfoResponse` |
| 500 | Unknown Error | `ErrorResponse` |

### 200 Response: `CustomerInfoResponse`

| Property | Type | Required | Description |
|---|---|---|---|
| `customerId` | string | No | The unique customer ID |
| `reportingDueDate` | string | No | The reporting period due date |

## Example Request

```bash
curl -X GET "https://mylodgetaxapi-sbx.avalara.net/v2/customers/{customerid}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```